csHitBeamResult Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csHitBeamResult Struct Reference
Mesh support

Return structure for the iMeshWrapper::HitBeam() routines. More...

`#include <iengine/mesh.h>`

List of all members.

## Public Attributes
int | facehit
| Only for HitBeamBBox: Face number that was hit.
bool | hit
| For all except HitBeamBBox: true if hit, false otherwise.
csVector3 | isect
| Intersection point in object space.
iMaterialWrapper * | material
| Only for HitBeamObject and HitBeam: the material that was hit.
int | polygon_idx
| Only for HitBeamObject: the polygon/triangle index that was hit.
float | r
| Value between 0 and 1 indicating where on the segment the intersection occured.

## Detailed Description

Return structure for the iMeshWrapper::HitBeam() routines.

See also:
  csSectorHitBeamResult CS::Physics::Bullet::HitBeamResult

Definition at line 186 of file mesh.h.

## Member Data Documentation

int csHitBeamResult::facehit

Only for HitBeamBBox: Face number that was hit.

See also:
  csIntersect3::BoxSegment

Definition at line 206 of file mesh.h.

bool csHitBeamResult::hit

For all except HitBeamBBox: true if hit, false otherwise.

Definition at line 210 of file mesh.h.

csVector3 csHitBeamResult::isect

Intersection point in object space.

Definition at line 189 of file mesh.h.

iMaterialWrapper* csHitBeamResult::material

Only for HitBeamObject and HitBeam: the material that was hit.

Can be 0 in the case that the meshobject doesn't support getting the material.

Definition at line 201 of file mesh.h.

int csHitBeamResult::polygon_idx

Only for HitBeamObject: the polygon/triangle index that was hit.

Definition at line 196 of file mesh.h.

float csHitBeamResult::r

Value between 0 and 1 indicating where on the segment the intersection occured.

Definition at line 194 of file mesh.h.

The documentation for this struct was generated from the following file:

- iengine/mesh.h